Subject: bug#57823: 29.0.50; image-elide: longer completion causes image to remain too small in buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2022 12:29:03 +0300

> From: Jean Louis <[email-masked]>
> Date: Thu, 15 Sep 2022 11:35:31 +0300
> 
> 
> image-elide: longer completion causes image to remain too small in
> buffer
> 
> How to reproduce:
> 
> 1. Dired, open some image;
> 
> 2. M-x image-TAB TAB to see completions.
> 
> 3. wait for few seconds, because completion buffer is enlarged image
>   automatically resizes and minimizes itself
> 
> 4. image-elide asks for the color completion. Same thing, if user reads
>    completions longer than few seconds, the visible image size minimizes
>    automatically.
> 
> 5. Once function expects user to elide the image, the minimized image
>    does not resize back to fill the frame.

Unless this is specific to image-elide (which I cannot invoke here), I
cannot reproduce this.

What I tried:

  emacs -Q
  C-x C-f etc/images/splash.svg RET
  M-x image- TAB

The image shrinks a bit to fit inside the window.

  C-g

The image resizes back to its original size.